## fbonds 2100.75

=== DESCRIPTION ===
Package: fBonds
Version: 2100.75
Revision: 4412
Date: 2009-09-28
Title: Bonds and Interest Rate Models
Author: Diethelm Wuertz and many others, see the SOURCE file
Depends: R (>= 2.4.0), timeDate, timeSeries, fBasics
Suggests: RUnit
Maintainer: Rmetrics Core Team <Rmetrics-core@r-project.org>
Description: Environment for teaching "Financial Engineering and
        Computational Finance"
NOTE: SEVERAL PARTS ARE STILL PRELIMINARY AND MAY BE CHANGED IN THE
        FUTURE. THIS TYPICALLY INCLUDES FUNCTION AND ARGUMENT NAMES, AS
        WELL AS DEFAULTS FOR ARGUMENTS AND RETURN VALUES.
LazyLoad: yes
LazyData: yes
License: GPL (>= 2)
URL: http://www.rmetrics.org
Packaged: 2009-09-28 16:30:31 UTC; yankee
Repository: CRAN
Date/Publication: 2009-09-29 18:44:08

## fbonds 3010.77

=== DESCRIPTION ===
Package: fBonds
Version: 3010.77
Revision: 5531
Date: 2013-12-17
Title: Bonds and Interest Rate Models
Author: Diethelm Wuertz and many others, see the SOURCE file
Depends: R (>= 2.4.0), timeDate, timeSeries, fBasics
Suggests: RUnit
Maintainer: Yohan Chalabi <yohan.chalabi@rmetrics.org>
Description: Environment for teaching "Financial Engineering and
        Computational Finance"
Note: Several parts are still preliminary and may be changed in the
        future. this typically includes function and argument names, as
        well as defaults for arguments and return values.
LazyData: yes
License: GPL (>= 2)
URL: http://www.rmetrics.org
Packaged: 2013-12-17 21:27:46 UTC; yohan
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-12-17 23:16:42

## fbonds 3042.78

=== DESCRIPTION ===
Package: fBonds
Title: Rmetrics - Pricing and Evaluating Bonds
Date: 2017-11-12
Version: 3042.78
Author: Diethelm Wuertz [aut],
    Tobias Setz [cre]
Maintainer: Tobias Setz <tobias.setz@live.com>
Description: It implements the Nelson-Siegel and the Nelson-Siegel-Svensson
	term structures.
Depends: R (>= 2.15.1), timeDate, timeSeries, fBasics
Imports: graphics, stats
Suggests: RUnit
LazyData: yes
License: GPL (>= 2)
URL: http://www.rmetrics.org
NeedsCompilation: no
Packaged: 2017-11-15 19:16:28 UTC; Tobias Setz
Repository: CRAN
Date/Publication: 2017-11-15 22:30:09 UTC

=== debian/changelog ===
fbonds (3042.78-4) unstable; urgency=medium

  * Rebuilt for r-4.0 transition

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 17 May 2020 18:43:00 -0500

fbonds (3042.78-3) unstable; urgency=medium

  * debian/control: Fix copy and paste-oh in Vcs-* and homepage

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 06 Jun 2018 08:59:12 -0500

fbonds (3042.78-2) unstable; urgency=medium

  * Rebuilding for R 3.5.0 transition
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/compat: Increase level to 9
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 05 Jun 2018 05:55:05 -0500

fbonds (3042.78-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 
  * debianb/control: Add Depends: on ${misc:Depends}
  * debian/compat: Set level to 9

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 16 Nov 2017 22:22:42 -0600

fbonds (3010.77-2) unstable; urgency=medium

  * debian/compat: Created			(Closes: #830470)
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 08 Jul 2016 07:11:46 -0500

fbonds (3010.77-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 17 Dec 2013 19:10:34 -0600

fbonds (2160.76-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0 (beta)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 02 Apr 2013 07:03:17 -0500

fbonds (2160.76-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 10 Dec 2012 15:26:56 -0600

fbonds (2100.75-3) unstable; urgency=low

  * Rebuilt for R 2.14.0 so that a default NAMESPACE file is created

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 22 Oct 2011 17:26:35 -0500

fbonds (2100.75-2) unstable; urgency=low

  * Rebuilt for R 2.10.0 to work with new R-internal help file conversion

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 04 Nov 2009 16:57:59 -0600

fbonds (2100.75-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 30 Sep 2009 20:39:28 -0500

fbonds (270.74-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: on r-cran-fbasics to (>= 290.76)
  
  * debian/control: Changed Section: to new section 'gnu-r'
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 3.8.1
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 18 Apr 2009 11:41:24 -0500

fbonds (270.73-1) unstable; urgency=low

  * New upstream release

  * debian/control: Updated (Build-)Depends: and Suggests:
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 27 Oct 2008 20:48:46 -0500

fbonds (260.72-1) unstable; urgency=low

  * Initial Debian release of new Rmetrics component package
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 14 Nov 2007 21:15:24 -0600

=== debian/control ===
Source: fbonds
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.0), dh-r, r-cran-fbasics (>= 290.76), xvfb, xauth, xfonts-base
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-fbonds
Vcs-Git: https://salsa.debian.org/edd/r-cran-fbonds.git
Homepage: https://cran.r-project.org/package=fBonds

Package: r-cran-fbonds
Architecture: all
Depends: ${R:Depends}, ${misc:Depends}, r-cran-fbasics (>= 290.76)
Description: GNU R package for financial engineering -- fBonds
 This package provides functions for bond and yield curve modelling
 and is part of Rmetrics, a collection of packages for financial
 engineering and computational finance written and compiled by
 Diethelm Wuertz and others.
 .
 fBonds provides modelling functions for bonds and interest rate models.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-fbonds package
# Copyright 2003 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R
